Xalan-Java 2.7.1: Class SmartTransformerFactoryImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class SmartTransformerFactoryImpl

    java.lang.Object
      |
      +--javax.xml.transform.TransformerFactory
            |
            +--javax.xml.transform.sax.SAXTransformerFactory
                  |
                  +--org.apache.xalan.xsltc.trax.SmartTransformerFactoryImpl

public class SmartTransformerFactoryImpl
extends SAXTransformerFactory

Implementation of a transformer factory that uses an XSLTC transformer factory for the creation of Templates objects and uses the Xalan processor transformer factory for the creation of Transformer objects.

Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory
`FEATURE, FEATURE_XMLFILTER`

Constructor Summary
`SmartTransformerFactoryImpl()` implementation of the SmartTransformerFactory.

Method Summary
`Source` | `getAssociatedStylesheet(Source source, java.lang.String media, java.lang.String title, java.lang.String charset)`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`ErrorListener` | `getErrorListener()`
`boolean` | `getFeature(java.lang.String name)` javax.xml.transform.sax.TransformerFactory implementation.
`URIResolver` | `getURIResolver()`
`Templates` | `newTemplates(Source source)` Create a Templates object that from the input stylesheet Uses the org.apache.xalan.xsltc.trax.TransformerFactory.
`TemplatesHandler` | `newTemplatesHandler()` Get a TemplatesHandler object that can process SAX ContentHandler events into a Templates object.
`Transformer` | `newTransformer()` Create a Transformer object that copies the input document to the result.
`Transformer` | `newTransformer(Source source)` Create a Transformer object that from the input stylesheet Uses the org.apache.xalan.processor.TransformerFactory.
`TransformerHandler` | `newTransformerHandler()` Get a TransformerHandler object that can process SAX ContentHandler events based on a copy transformer.
`TransformerHandler` | `newTransformerHandler(Source src)` Get a TransformerHandler object that can process SAX ContentHandler events based on a transformer specified by the stylesheet Source.
`TransformerHandler` | `newTransformerHandler(Templates templates)` Get a TransformerHandler object that can process SAX ContentHandler events based on a transformer specified by the stylesheet Source.
`XMLFilter` | `newXMLFilter(Source src)` Create an XMLFilter that uses the given source as the transformation instructions.
`XMLFilter` | `newXMLFilter(Templates templates)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setErrorListener(ErrorListener listener)`
`void` | `setFeature(java.lang.String name, boolean value)` Set a feature for this `SmartTransformerFactory` and `Transformer`s or `Template`s created by this factory.
`void` | `setURIResolver(URIResolver resolver)`

Methods inherited from class javax.xml.transform.TransformerFactory
`newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartTransformerFactoryImpl

    public SmartTransformerFactoryImpl()

  implementation of the SmartTransformerFactory. This factory uses org.apache.xalan.xsltc.trax.TransformerFactory to return Templates objects; and uses org.apache.xalan.processor.TransformerFactory to return Transformer objects.

Method Detail

### setErrorListener

    public void setErrorListener(ErrorListener listener)
                          throws java.lang.IllegalArgumentException

  Overrides:
    setErrorListener in class TransformerFactory

### getErrorListener

    public ErrorListener getErrorListener()

  Overrides:
    getErrorListener in class TransformerFactory

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Overrides:
    getAttribute in class TransformerFactory

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

  Overrides:
    setAttribute in class TransformerFactory

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws TransformerConfigurationException

  Set a feature for this `SmartTransformerFactory` and `Transformer`s or `Template`s created by this factory.

  Feature names are fully qualified `java.net.URI`s. Implementations may define their own features. An `TransformerConfigurationException` is thrown if this `TransformerFactory` or the `Transformer`s or `Template`s it creates cannot support the feature. It is possible for an `TransformerFactory` to expose a feature value but be unable to change its state.

  See `TransformerFactory` for full documentation of specific features.

  Parameters:
    `name` - Feature name.
    `value` - Is feature state `true` or `false`.
  Throws:
    TransformerConfigurationException - if this `TransformerFactory` or the `Transformer`s or `Template`s it creates cannot support this feature.
    java.lang.NullPointerException - If the `name` parameter is null.
  Overrides:
    setFeature in class TransformerFactory

### getFeature

    public boolean getFeature(java.lang.String name)

  javax.xml.transform.sax.TransformerFactory implementation. Look up the value of a feature (to see if it is supported). This method must be updated as the various methods and features of this class are implemented.
  Parameters:
    `name` - The feature name
  Returns:
    'true' if feature is supported, 'false' if not
  Overrides:
    getFeature in class TransformerFactory

### getURIResolver

    public URIResolver getURIResolver()

  Overrides:
    getURIResolver in class TransformerFactory

### setURIResolver

    public void setURIResolver(URIResolver resolver)

  Overrides:
    setURIResolver in class TransformerFactory

### getAssociatedStylesheet

    public Source getAssociatedStylesheet(Source source,
                                          java.lang.String media,
                                          java.lang.String title,
                                          java.lang.String charset)
                                   throws TransformerConfigurationException

  Overrides:
    getAssociatedStylesheet in class TransformerFactory

### newTransformer

    public Transformer newTransformer()
                               throws TransformerConfigurationException

  Create a Transformer object that copies the input document to the result. Uses the org.apache.xalan.processor.TransformerFactory.
  Returns:
    A Transformer object.
  Overrides:
    newTransformer in class TransformerFactory

### newTransformer

    public Transformer newTransformer(Source source)
                               throws TransformerConfigurationException

  Create a Transformer object that from the input stylesheet Uses the org.apache.xalan.processor.TransformerFactory.
  Parameters:
    `source` - the stylesheet.
  Returns:
    A Transformer object.
  Overrides:
    newTransformer in class TransformerFactory

### newTemplates

    public Templates newTemplates(Source source)
                           throws TransformerConfigurationException

  Create a Templates object that from the input stylesheet Uses the org.apache.xalan.xsltc.trax.TransformerFactory.
  Parameters:
    `source` - the stylesheet.
  Returns:
    A Templates object.
  Overrides:
    newTemplates in class TransformerFactory

### newTemplatesHandler

    public TemplatesHandler newTemplatesHandler()
                                         throws TransformerConfigurationException

  Get a TemplatesHandler object that can process SAX ContentHandler events into a Templates object. Uses the org.apache.xalan.xsltc.trax.TransformerFactory.
  Overrides:
    newTemplatesHandler in class SAXTransformerFactory

### newTransformerHandler

    public TransformerHandler newTransformerHandler()
                                             throws TransformerConfigurationException

  Get a TransformerHandler object that can process SAX ContentHandler events based on a copy transformer. Uses org.apache.xalan.processor.TransformerFactory.
  Overrides:
    newTransformerHandler in class SAXTransformerFactory

### newTransformerHandler

    public TransformerHandler newTransformerHandler(Source src)
                                             throws TransformerConfigurationException

  Get a TransformerHandler object that can process SAX ContentHandler events based on a transformer specified by the stylesheet Source. Uses org.apache.xalan.processor.TransformerFactory.
  Overrides:
    newTransformerHandler in class SAXTransformerFactory

### newTransformerHandler

    public TransformerHandler newTransformerHandler(Templates templates)
                                             throws TransformerConfigurationException

  Get a TransformerHandler object that can process SAX ContentHandler events based on a transformer specified by the stylesheet Source. Uses org.apache.xalan.xsltc.trax.TransformerFactory.
  Overrides:
    newTransformerHandler in class SAXTransformerFactory

### newXMLFilter

    public XMLFilter newXMLFilter(Source src)
                           throws TransformerConfigurationException

  Create an XMLFilter that uses the given source as the transformation instructions. Uses org.apache.xalan.xsltc.trax.TransformerFactory.
  Overrides:
    newXMLFilter in class SAXTransformerFactory

### newXMLFilter

    public XMLFilter newXMLFilter(Templates templates)
                           throws TransformerConfigurationException

  Overrides:
    newXMLFilter in class SAXTransformerFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.